#ifndef __SWITCHERMENU_H
#define __SWITCHERMENU_H

#include <vdr/menuitems.h>
#include <vdr/plugin.h>

#include "channelswitcher.h"


#define NB_MAX_CHANNEL_CONF 50

class cSwitchMenu : public cOsdMenu
{
  private:
    cSwitcher *switcher;
    char *ListChanConf[NB_MAX_CHANNEL_CONF];
    int m_nbChanConf;
    int AddSwitchMenuItem( char *itemName , char * endFileName);

  public:
    cSwitchMenu( cSwitcher *SwitcherPlug );
    ~cSwitchMenu( void );
    virtual eOSState ProcessKey( eKeys Key );
    void Draw( void );
    void Switch( void );
    int SaveSetup;
};

#endif
